# Examples

## Get Started Fast
This notebook shows you all the functionality of FairRankTune. 

[![Quickstart Guide](https://colab.research.google.com/assets/colab-badge.svg)](https://colab.research.google.com/github/KCachel/fairranktune/blob/main/examples/1_quickstart.ipynb)

## How to use RankTune for Data Generation
This notebooks shows you the functionality of the RankTune data generator method, and how you can use its different features.

[![Open In Colab](https://colab.research.google.com/assets/colab-badge.svg)](https://colab.research.google.com/github/KCachel/fairranktune/blob/main/examples/2_ranktune.ipynb)

## How to use RankTune to Create Partially Synthetic Data
This notebook shows you how to combine the data generation capabilities of RankTune with an existing dataset to create partially synthetic data.

[![Open In Colab](https://colab.research.google.com/assets/colab-badge.svg)](https://colab.research.google.com/github/KCachel/fairranktune/blob/main/examples/3_ranktune_augment.ipynb)

## How to Measure Statistical Parity Group Fairness in Rankings 
This notebook shows you how to use FairRankTune's Metric library to audit rankings for statistical parity.

[![Open In Colab](https://colab.research.google.com/assets/colab-badge.svg)](https://colab.research.google.com/github/KCachel/fairranktune/blob/main/examples/4_statisticalparitymetrics.ipynb) 

## How to Measure Score-based Group and Individual Fairness in Rankings 
This notebook shows you how to use FairRankTune's Metric library to audit rankings in terms of score-based group and individual fairness.

[![Open In Colab](https://colab.research.google.com/assets/colab-badge.svg)](https://colab.research.google.com/github/KCachel/fairranktune/blob/main/examples/5_scorebasedmetrics.ipynb) 

## How to use the Fair Ranking Algorithms
This notebook shows you how to use FairRankTune's Rankers module to adjust rankings to be fair using existing algorithms from the fairness literature.

[![Open In Colab](https://colab.research.google.com/assets/colab-badge.svg)](https://colab.research.google.com/github/KCachel/fairranktune/blob/main/examples/5_scorebasedmetrics.ipynb)
